// Copyright 2002-2012, University of Colorado
/**
 * Class where all the user components are defined for items in the sim, which
 * is necessary for the "sim sharing" (a.k.a. data collection) feature.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var IModelAction = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IModelAction' );
  var IModelComponent = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IModelComponent' );
  var IModelComponentType = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IModelComponentType' );
  var IParameterKey = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IParameterKey' );
  var IUserAction = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IUserAction' );
  var IUserComponent = require( 'edu.colorado.phet.common.phetcommon.simsharing.messages.IUserComponent' );


  // enum UserComponents implements IUserComponent 
// Sim sharing components that exist only in the view.
  var UserComponents = {
    // Tabs
    introTab: '// Tabs
    introTab', energySystemsTab:'energySystemsTab', // Movable model elements
    brick: '// Movable model elements
    brick', ironBlock:'ironBlock', beaker:'beaker', // Controls
    showEnergyCheckBox: '// Controls
    showEnergyCheckBox', fastForwardRadioButton:'fastForwardRadioButton', normalMotionRadioButton:'normalMotionRadioButton', faucet:'faucet', selectFaucetButton:'selectFaucetButton', selectWaterPoweredGeneratorButton:'selectWaterPoweredGeneratorButton', selectTeapotButton:'selectTeapotButton', selectSunButton:'selectSunButton', selectSolarPanelButton:'selectSolarPanelButton', selectBeakerHeaterButton:'selectBeakerHeaterButton', selectIncandescentLightBulbButton:'selectIncandescentLightBulbButton', selectFluorescentLightBulbButton:'selectFluorescentLightBulbButton', heatCapacitySlider:'heatCapacitySlider', bicyclePedalRateSlider:'bicyclePedalRateSlider', cloudinessSlider:'cloudinessSlider', thermometer:'thermometer'
  };

  // enum ModelComponents implements IUserComponent, IModelComponent 
  var ModelComponents = {
  };

  // enum UserActions implements IUserAction 
  var UserActions = {
  };

  // enum ModelComponentTypes implements IModelComponentType 
  var ModelComponentTypes = {
  };

  // enum ModelActions implements IModelAction 
  var ModelActions = {
  };

  // enum ParameterKeys implements IParameterKey 
  var ParameterKeys = {
  };

  return inherit( Object, EnergyFormsAndChangesSimSharing, {
  } );
} );

