// Copyright 2002-2012, University of Colorado
/**
 * Class that represents a chunk of energy in the view.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var swing = require( 'javax.swing' );//.*
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var Property = require( 'AXON/Property' );
  var Property = require( 'AXON/Property' );

  function EnergyChunk( initialEnergyType, x, y, visibilityControl ) {
    //-------------------------------------------------------------------------
    // Instance Data
    //-------------------------------------------------------------------------
    // Position in model space.
    this.position;
    // Used for some simple 3D layering effects.
    this.zPosition = new Property( 0.0 );
    // Velocity.  At the time of this writing, this is only used in the
    // algorithms that distribute energy chunks in a container.
    // In meters/sec.

    //private
    this.velocity = new Vector2( 0, 0 );
    // Property that controls visibility in view.
    this.visible;
    // Energy type.  This can change during the life of the energy chunk.
    this.energyType = new Property( null );
    this( initialEnergyType, new Vector2( x, y ), visibilityControl );
  }

  function EnergyChunk( initialEnergyType, initialPosition, visibilityControl ) {
    //-------------------------------------------------------------------------
    // Instance Data
    //-------------------------------------------------------------------------
    // Position in model space.
    this.position;
    // Used for some simple 3D layering effects.
    this.zPosition = new Property( 0.0 );
    // Velocity.  At the time of this writing, this is only used in the
    // algorithms that distribute energy chunks in a container.
    // In meters/sec.

    //private
    this.velocity = new Vector2( 0, 0 );
    // Property that controls visibility in view.
    this.visible;
    // Energy type.  This can change during the life of the energy chunk.
    this.energyType = new Property( null );
    this( initialEnergyType, initialPosition, new Vector2( 0, 0 ), visibilityControl );
  }

  function EnergyChunk( initialEnergyType, initialPosition, initialVelocity, visibilityControl ) {
    //-------------------------------------------------------------------------
    // Instance Data
    //-------------------------------------------------------------------------
    // Position in model space.
    this.position;
    // Used for some simple 3D layering effects.
    this.zPosition = new Property( 0.0 );
    // Velocity.  At the time of this writing, this is only used in the
    // algorithms that distribute energy chunks in a container.
    // In meters/sec.

    //private
    this.velocity = new Vector2( 0, 0 );
    // Property that controls visibility in view.
    this.visible;
    // Energy type.  This can change during the life of the energy chunk.
    this.energyType = new Property( null );
    this.position = new Property( initialPosition );
    this.energyType.set( initialEnergyType );
    this.visible = visibilityControl;
    this.velocity = initialVelocity;
  }

  return inherit( Object, EnergyChunk, {
//-------------------------------------------------------------------------
// Methods
//-------------------------------------------------------------------------
    translate: function( movement ) {
      position.set( position.get().plus( movement ) );
    },
    translateBasedOnVelocity: function( time ) {
      translate( velocity.times( time ) );
    },
    getVelocity: function() {
      return new Vector2( velocity );
    },
    setVelocity: function( x, y ) {
      velocity = new Vector2( x, y );
    },
    setVelocity: function( newVelocity ) {
      setVelocity( newVelocity.x, newVelocity.y );
    }
  } );
} );

