// Copyright 2002-2012, University of Colorado
/**
 * The "Energy Systems" module for the Energy Forms and Changes simulation.
 * This is where the model and canvas are hooked together.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var SimSharingPiccoloModule = require( 'edu.colorado.phet.common.piccolophet.SimSharingPiccoloModule' );
  var EnergyFormsAndChangesResources = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesResources' );
  var EnergyFormsAndChangesSimSharing = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesSimSharing' );
  var EnergySystemsModel = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/energysystems/model/EnergySystemsModel' );
  var EnergySystemsCanvas = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/energysystems/view/EnergySystemsCanvas' );

  function EnergySystemsModule() {

    //private
    this.model;
    this( new EnergySystemsModel() );
  }

  //private
  function EnergySystemsModule( model ) {

    //private
    this.model;
    SimSharingPiccoloModule.call( this, EnergyFormsAndChangesSimSharing.UserComponents.energySystemsTab, EnergyFormsAndChangesResources.Strings.ENERGY_SYSTEMS, model.getClock() );
    this.model = model;
    setClockControlPanel( null );
    setSimulationPanel( new EnergySystemsCanvas( model ) );
    reset();
  }

  return inherit( SimSharingPiccoloModule, EnergySystemsModule, {
    reset: function() {
      model.reset();
    }
  } );
} );

