// Copyright 2002-2012, University of Colorado
/**
 * Class that represents a belt that connects two rotating wheels together,
 * like a fan belt in an automobile engine.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );

  function Belt( wheel1Radius, wheel1Center, wheel2Radius, wheel2Center ) {
    // Controls the shape of the belt.
    // In meters.
    this.wheel1Radius;
    this.wheel1Center;
    // In meters.
    this.wheel2Radius;
    this.wheel2Center;
    // Controls the visibility of the belt.
    this.isVisible = new BooleanProperty( false );
    this.wheel1Radius = wheel1Radius;
    this.wheel1Center = wheel1Center;
    this.wheel2Radius = wheel2Radius;
    this.wheel2Center = wheel2Center;
  }

  return inherit( Object, Belt, {
  } );
} );

