// Copyright 2002-2012, University of Colorado
/**
 * Class that represents a cloud in the view.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Shape = require( 'java.awt.Shape' );
  var Ellipse2D = require( 'java.awt.geom.Ellipse2D' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var Property = require( 'AXON/Property' );
  var CLOUD_1 = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesResources/Images/CLOUD_1' );//static

// In meters, though obviously not to scale.  Empirically determined.

  //private
  var CLOUD_WIDTH = 0.035;
  var CLOUD_IMAGE = new ModelElementImage( CLOUD_1, CLOUD_WIDTH, new Vector2( 0, 0 ) );
// In meters, though obviously not to scale.

  //private
  var CLOUD_HEIGHT = CLOUD_IMAGE.getHeight();

  function Cloud( offsetFromParent, parentPosition ) {
    this.offsetFromParent;

    //private
    this.parentPosition;
    this.existenceStrength = new Property( 1.0 );
    this.offsetFromParent = offsetFromParent;
    this.parentPosition = parentPosition;
  }

  return inherit( Object, Cloud, {
      getCloudAbsorptionReflectionShape: function() {
        return new Ellipse2D.Number( parentPosition.get().x + offsetFromParent.x - CLOUD_WIDTH / 2, parentPosition.get().y + offsetFromParent.y - CLOUD_HEIGHT / 2, CLOUD_WIDTH, CLOUD_HEIGHT );
      },
// Get the center position in model coordinates.
      getCenterPosition: function() {
        return parentPosition.get().plus( offsetFromParent );
      }
    },
//statics
    {
      CLOUD_IMAGE: CLOUD_IMAGE
    } );
} );

