// Copyright 2002-2012, University of Colorado
/**
 * Class the represents an amount and type of energy as well as other
 * attributes that are specific to the energy type.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var EnergyType = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/common/model/EnergyType' );

  /**
   * Constructor for cases where direction is meaningless.
   *
   * @param type   Energy type.
   * @param amount Amount of energy, in joules.
   */
  function Energy( type, amount ) {
    this.type;
    // In Joules.
    this.amount;
    // In radians.  Only relevant for some energy types.  Zero is to the right, pi/2 is up, and so forth.
    this.direction;
    this( type, amount, 0 );
  }

  /**
   * Main constructor.
   *
   * @param type      Energy type.
   * @param amount    Amount of energy, in joules.
   * @param direction Direction of energy, in radians.  Not meaningful for
   *                  all energy types.  Zero indicates to the right, PI/2
   *                  is up, and so forth.
   */
  function Energy( type, amount, direction ) {
    this.type;
    // In Joules.
    this.amount;
    // In radians.  Only relevant for some energy types.  Zero is to the right, pi/2 is up, and so forth.
    this.direction;
    this.type = type;
    this.amount = amount;
    this.direction = direction;
  }

  return inherit( Object, Energy, {
  } );
} );

