// Copyright 2002-2012, University of Colorado
/**
 * Carousel for containing and managing the position of energy system elements.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var VoidFunction1 = require( 'edu.colorado.phet.common.phetcommon.util.function.VoidFunction1' );

  function EnergySystemElementCarousel( selectedElementPosition, offsetBetweenElements ) {
    Carousel.call( this, selectedElementPosition, offsetBetweenElements );
    // the center location.
    getAnimationInProgressProperty().addObserver( new VoidFunction1().withAnonymousClassBody( {
      apply: function( animationInProgress ) {
        if ( animationInProgress ) {
          for ( var energySystemElement in getElementList() ) {
            energySystemElement.deactivate();
          }
        }
        else {
          getElement( targetIndex.get() ).activate();
        }
      }
    } ) );
  }

  return inherit( Carousel, EnergySystemElementCarousel, {
  } );
} );

