// Copyright 2002-2012, University of Colorado
/**
 * Class that represents a compact fluorescent light bulb in the model.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var Images = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesResources/Images' );//static ///*
  var selectFluorescentLightBulbButton = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesSimSharing/UserComponents/selectFluorescentLightBulbButton' );//static


  //private
  var IMAGE_OFFSET = new Vector2( 0, 0.04 );
  var BACK_OFF = new ModelElementImage( FLUORESCENT_BACK_2, IMAGE_OFFSET );
  var BACK_ON = new ModelElementImage( FLUORESCENT_ON_BACK_2, IMAGE_OFFSET );
  var FRONT_OFF = new ModelElementImage( FLUORESCENT_FRONT_2, IMAGE_OFFSET );
  var FRONT_ON = new ModelElementImage( FLUORESCENT_ON_FRONT_2, IMAGE_OFFSET );

  function FluorescentLightBulb( energyChunksVisible ) {
    LightBulb.call( this, selectFluorescentLightBulbButton, FLUORESCENT_ICON, false, energyChunksVisible );
  }

  return inherit( LightBulb, FluorescentLightBulb, {
    },
//statics
    {
      BACK_OFF: BACK_OFF,
      BACK_ON: BACK_ON,
      FRONT_OFF: FRONT_OFF,
      FRONT_ON: FRONT_ON
    } );
} );

