// Copyright 2002-2012, University of Colorado
/**
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var Images = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesResources/Images' );//static ///*
  var selectFluorescentLightBulbButton = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesSimSharing/UserComponents/selectFluorescentLightBulbButton' );//static
  var selectIncandescentLightBulbButton = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesSimSharing/UserComponents/selectIncandescentLightBulbButton' );//static


  //private
  var IMAGE_OFFSET = new Vector2( 0, 0.055 );
  var NON_ENERGIZED_BULB = new ModelElementImage( INCANDESCENT_2, IMAGE_OFFSET );
  var ENERGIZED_BULB = new ModelElementImage( INCANDESCENT_ON_3, IMAGE_OFFSET );

  function IncandescentLightBulb( energyChunksVisible ) {
    LightBulb.call( this, selectIncandescentLightBulbButton, INCANDESCENT_ICON, true, energyChunksVisible );
  }

  return inherit( LightBulb, IncandescentLightBulb, {
    },
//statics
    {
      NON_ENERGIZED_BULB: NON_ENERGIZED_BULB,
      ENERGIZED_BULB: ENERGIZED_BULB
    } );
} );

