// Copyright 2002-2012, University of Colorado
/**
 * Base class for model elements that can be positioned and faded.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );

  function PositionableFadableModelElement() {
    this.opacity;
    this( new Vector2( 0, 0 ), 1 );
  }

  function PositionableFadableModelElement( initialPosition, initialOpacity ) {
    this.opacity;
    PositionableModelElement.call( this, initialPosition );
    this.opacity = new Property( initialOpacity );
  }

  return inherit( PositionableModelElement, PositionableFadableModelElement, {
  } );
} );

