// Copyright 2002-2012, University of Colorado
/**
 * A model element that has a position (a.k.a. a location) which can be
 * changed.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var Property = require( 'AXON/Property' );

  function PositionableModelElement() {
  }

  function PositionableModelElement( initialPosition ) {

    //private
    this.position = new Property( new Vector2( 0, 0 ) );
    position.set( initialPosition );
  }

  return inherit( Object, PositionableModelElement, {
    setPosition: function( newPosition ) {
      position.set( newPosition );
    },
    getPosition: function() {
      return new Vector2( position.get() );
    },
    getObservablePosition: function() {
      return position;
    }
  } );
} );

