// Copyright 2002-2012, University of Colorado
/**
 * A drop of water, generally used to create a stream of water.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Dimension2D = require( 'java.awt.geom.Dimension2D' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var VoidFunction1 = require( 'edu.colorado.phet.common.phetcommon.util.function.VoidFunction1' );
  var PDimension = require( 'edu.umd.cs.piccolo.util.PDimension' );

// The following constant is used to adjust the way in which the drop
// elongates as its velocity increases.

  //private
  var WIDTH_CHANGE_TWEAK_FACTOR = 2;

  function WaterDrop( initialOffsetFromParent, initialVelocity, size ) {
    this.offsetFromParent;
    this.velocity;
    this.size;
    this.offsetFromParent = new Property( initialOffsetFromParent );
    this.velocity = new Property( initialVelocity );
    this.size = new Property( size );
    // realistic.
    velocity.addObserver( new VoidFunction1().withAnonymousClassBody( {
      apply: function( velocity ) {
        var newWidth = (1 / (1 + velocity.magnitude() * WIDTH_CHANGE_TWEAK_FACTOR)) * size.getWidth();
        var newHeight = (size.getHeight() * size.getWidth()) / newWidth;
        WaterDrop.this.size.set( new PDimension( newWidth, newHeight ) );
      }
    } ) );
  }

  return inherit( Object, WaterDrop, {
  } );
} );

