// Copyright 2002-2012, University of Colorado
/**
 * Piccolo node that represents a cloud in the view.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var VoidFunction1 = require( 'edu.colorado.phet.common.phetcommon.util.function.VoidFunction1' );
  var ModelViewTransform = require( 'edu.colorado.phet.common.phetcommon.view.graphics.transforms.ModelViewTransform' );
  var Cloud = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/energysystems/model/Cloud' );
  var Node = require( 'SCENERY/nodes/Node' );

  function CloudNode( cloud, mvt ) {
    addChild( new ModelElementImageNode( Cloud.CLOUD_IMAGE, mvt ) );
    setOffset( mvt.modelToViewDeltaX( cloud.offsetFromParent.getX() ), mvt.modelToViewDeltaY( cloud.offsetFromParent.getY() ) );
    cloud.existenceStrength.addObserver( new VoidFunction1().withAnonymousClassBody( {
      apply: function( existenceStrength ) {
        setTransparency( existenceStrength.floatValue() );
      }
    } ) );
  }

  return inherit( Node, CloudNode, {
  } );
} );

