// Copyright 2002-2012, University of Colorado
/**
 * Class that represents an image-based model element, or a piece thereof, in
 * the view.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'java.awt.geom.Vector2' );
  var ModelViewTransform = require( 'edu.colorado.phet.common.phetcommon.view.graphics.transforms.ModelViewTransform' );
  var ModelElementImage = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/energysystems/model/ModelElementImage' );
  var Node = require( 'SCENERY/nodes/Node' );
  var PImage = require( 'edu.umd.cs.piccolo.nodes.PImage' );

  function ModelElementImageNode( modelElementImage, mvt ) {
    addChild( new PImage( modelElementImage.getImage() ).withAnonymousClassBody( {
      initializer: function() {
        var scale = mvt.modelToViewDeltaX( modelElementImage.getWidth() ) / getFullBoundsReference().width;
        if ( scale != 1 ) {
          setScale( scale );
        }
        var centerToCenterOffsetInView = mvt.modelToViewDelta( modelElementImage.getCenterToCenterOffset() ).toPoint2D();
        centerFullBoundsOnPoint( centerToCenterOffsetInView.getX(), centerToCenterOffsetInView.getY() );
      }
    } ) );
  }

  return inherit( Node, ModelElementImageNode, {
  } );
} );

