// Copyright 2002-2012, University of Colorado
/**
 * Piccolo node that represents a solar panel in the view.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var ModelViewTransform = require( 'edu.colorado.phet.common.phetcommon.view.graphics.transforms.ModelViewTransform' );
  var PhetPPath = require( 'edu.colorado.phet.common.piccolophet.nodes.PhetPPath' );
  var EnergyChunkLayer = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/common/view/EnergyChunkLayer' );
  var SolarPanel = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/energysystems/model/SolarPanel' );

  function SolarPanelNode( solarPanel, mvt ) {
    PositionableFadableModelElementNode.call( this, solarPanel, mvt );
    // the order needed for the desired layering.
    addChild( new ModelElementImageNode( SolarPanel.CURVED_WIRE_IMAGE, mvt ) );
    addChild( new ModelElementImageNode( SolarPanel.POST_IMAGE, mvt ) );
    addChild( new ModelElementImageNode( SolarPanel.SOLAR_PANEL_IMAGE, mvt ) );
    addChild( new EnergyChunkLayer( solarPanel.energyChunkList, solarPanel.getObservablePosition(), mvt ) );
    addChild( new ModelElementImageNode( SolarPanel.CONVERTER_IMAGE, mvt ) );
    addChild( new ModelElementImageNode( SolarPanel.CONNECTOR_IMAGE, mvt ) );
  }

  return inherit( PositionableFadableModelElementNode, SolarPanelNode, {
  } );
} );

