// Copyright 2002-2012, University of Colorado
/**
 * The "Intro" module for the Energy Forms and Changes simulation.  This is
 * where the model and canvas are hooked together.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var SimSharingPiccoloModule = require( 'edu.colorado.phet.common.piccolophet.SimSharingPiccoloModule' );
  var EnergyFormsAndChangesResources = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesResources' );
  var EnergyFormsAndChangesSimSharing = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/EnergyFormsAndChangesSimSharing' );
  var EFACIntroModel = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/intro/model/EFACIntroModel' );
  var EFACIntroCanvas = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/intro/view/EFACIntroCanvas' );

  function EFACIntroModule() {
    this( new EFACIntroModel() );
  }

  //private
  function EFACIntroModule( model ) {
    SimSharingPiccoloModule.call( this, EnergyFormsAndChangesSimSharing.UserComponents.introTab, EnergyFormsAndChangesResources.Strings.INTRO, model.getClock() );
    setClockControlPanel( null );
    setLogoPanel( null );
    setSimulationPanel( new EFACIntroCanvas( model ) );
    reset();
  }

  return inherit( SimSharingPiccoloModule, EFACIntroModule, {
  } );
} );

