// Copyright 2002-2012, University of Colorado
/**
 * Created for the Heat Capacity Lab (HCL) prototype, clean up and document if kept.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var BasicStroke = require( 'java.awt.BasicStroke' );
  var Color = require( 'SCENERY/util/Color' );
  var Vector2 = require( 'DOT/Vector2' );
  var Property = require( 'AXON/Property' );
  var VoidFunction1 = require( 'edu.colorado.phet.common.phetcommon.util.function.VoidFunction1' );
  var DoubleGeneralPath = require( 'edu.colorado.phet.common.phetcommon.view.util.DoubleGeneralPath' );
  var PhetPPath = require( 'edu.colorado.phet.common.piccolophet.nodes.PhetPPath' );
  var ZeroOffsetNode = require( 'edu.colorado.phet.common.piccolophet.nodes.kit.ZeroOffsetNode' );
  var Node = require( 'SCENERY/nodes/Node' );

// In screen coordinates, which are roughly pixels.

  //private
  var EDGE_LENGTH = 15;

  //private
  var FORESHORTENING_PROPORTION = 0.35;

  function BlockIconNode( colorProperty ) {
    var over = new Vector2( EDGE_LENGTH, 0 );
    var down = new Vector2( 0, EDGE_LENGTH );
    var back = new Vector2( EDGE_LENGTH * FORESHORTENING_PROPORTION, -EDGE_LENGTH * FORESHORTENING_PROPORTION );
    var upperLeftCorner = new Vector2( 0, 0 );
    var path = new DoubleGeneralPath();
    path.moveTo( upperLeftCorner );
    path.lineTo( upperLeftCorner.plus( over ) );
    path.lineTo( upperLeftCorner.plus( over ).plus( down ) );
    path.lineTo( upperLeftCorner.plus( down ) );
    path.lineTo( upperLeftCorner );
    path.lineTo( upperLeftCorner.plus( back ) );
    path.lineTo( upperLeftCorner.plus( back ).plus( over ) );
    path.lineTo( upperLeftCorner.plus( over ) );
    path.moveTo( upperLeftCorner.plus( over ).plus( back ) );
    path.lineTo( upperLeftCorner.plus( over ).plus( down ).plus( back ) );
    path.lineTo( upperLeftCorner.plus( over ).plus( down ) );
    path.lineTo( upperLeftCorner.plus( over ) );
    var block = new PhetPPath( path.getGeneralPath(), new BasicStroke( 1, BasicStroke.CAP_BUTT, BasicStroke.JOIN_ROUND ), Color.BLACK );
    addChild( new ZeroOffsetNode( block ) );
    colorProperty.addObserver( new VoidFunction1().withAnonymousClassBody( {
      apply: function( color ) {
        block.setPaint( color );
      }
    } ) );
  }

  return inherit( Node, BlockIconNode, {
  } );
} );

